### Method

# Ide Workspace foreach_surface

#### Declaration

    void
    ide_workspace_foreach_surface (
      IdeWorkspace* self,
      GtkCallback callback,
      gpointer user_data
    )

#### Description

Calls callback for every `IdeSurface` based `GtkWidget` that is registered in the workspace.

Available since: | 3.32

#### Parameters

`callback` | `GtkCallback`
| A `GtkCallback` to execute for every surface.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.